# platformio device list

Contents

- platformio device list

  - Usage

  - Description

  - Options

  - Examples

## Usage

    platformio device list [OPTIONS]
    pio device list [OPTIONS]

## Description

List available devices. Default is set to `--serial` and all available Serial Ports will be shown.

## Options

--serial

List available Serial Ports, default.

--logical

List available logical devices.

--mdns

List multicast DNS services.

--json-output

Return the output in JSON format.

## Examples

1. Unix OS

    $ platformio device list
    /dev/cu.SLAB_USBtoUART
    ----------
    Hardware ID: USB VID:PID=10c4:ea60 SNR=0001
    Description: CP2102 USB to UART Bridge Controller

    /dev/cu.uart-1CFF4676258F4543
    ----------
    Hardware ID: USB VID:PID=451:f432 SNR=1CFF4676258F4543
    Description: Texas Instruments MSP-FET430UIF

2. Windows OS

    $ platformio device list
    COM4
    ----------
    Hardware ID: USB VID:PID=0451:F432
    Description: MSP430 Application UART (COM4)

    COM3
    ----------
    Hardware ID: USB VID:PID=10C4:EA60 SNR=0001
    Description: Silicon Labs CP210x USB to UART Bridge (COM3)

3. List multicast DNS services and logical devices

    $ platformio device list --mdns --logical
    Multicast DNS Services
    ======================

    PlatformIO._bttremote._tcp.local.
    ------------------------------
    Type: _bttremote._tcp.local.
    IP: ...
    Port: 62941
    Properties: ...

    Time for PlatformIO._adisk._tcp.local.
    ---------------------------------
    Type: _adisk._tcp.local.
    IP: 192.168.0.1
    Port: 9
    Properties: ...

    PlatformIO._ssh._tcp.local.
    ------------------------
    Type: _ssh._tcp.local.
    IP: ...
    Port: 22

    PlatformIO._sftp-ssh._tcp.local.
    -----------------------------
    Type: _sftp-ssh._tcp.local.
    IP: ...
    Port: 22

    Logical Devices
    ===============
    /
    -
    Name:

    /Volumes/PIO
    -------------
    Name: PIO

    /Volumes/PLUS
    --------------
    Name: PLUS